NotificationsManager (Social Portal ASL Extension 1.4.0-4.12.0-169465 API)
Date: 2018-07-18

org.gcube.applicationsupportlayer.social

## Interface NotificationsManager

- All Known Implementing Classes:
    ApplicationNotificationsManager

      public interface NotificationsManager

  Author:
    Massimiliano Assante, ISTI-CNR

- - ### Method Summary

    All Methods Instance Methods Abstract Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `notifyAddedItem(String userIdToNotify, SocialFileItem item, SocialSharedFolder sharedFolder)` use to notify a user he got a workspace item new in some of his workspace shared folder
    `boolean` | `notifyAddedItem(String userIdToNotify, org.gcube.common.homelibrary.home.workspace.WorkspaceItem item, org.gcube.common.homelibrary.home.workspace.WorkspaceSharedFolder sharedFolder)` Deprecated. use `SocialSharedFolder` and `SocialFileItem`
    `boolean` | `notifyAdministratorDowngrade(String userIdToNotify, SocialSharedFolder sharedFolder)` use to notify a user he got downgraded from Administrator of a folder shared
    `boolean` | `notifyAdministratorDowngrade(String userIdToNotify, org.gcube.common.homelibrary.home.workspace.WorkspaceSharedFolder sharedFolder)` Deprecated. use `SocialSharedFolder`
    `boolean` | `notifyAdministratorUpgrade(String userIdToNotify, SocialSharedFolder sharedFolder)` use to notify a user he got upgraded to Administrator of a folder shared
    `boolean` | `notifyAdministratorUpgrade(String userIdToNotify, org.gcube.common.homelibrary.home.workspace.WorkspaceSharedFolder sharedFolder)` Deprecated. use `SocialSharedFolder`
    `boolean` | `notifyCommentOnFavorite(String userIdToNotify, String postid, String commentText, String commentKey)` Deprecated. use notifyCommentOnLike use to notify a user that someone commented on one of his liked posts
    `boolean` | `notifyCommentOnLike(String userIdToNotify, String postid, String commentText, String commentKey)`
    `boolean` | `notifyCommentReply(String userIdToNotify, String postid, String postText, String postOwnerFullName, String postOwnerId, String commentKey)` use to notify a user that commented on a post (Not his) that someone commented too
    `boolean` | `notifyDeletedCalendarEvent(String userIdToNotify, String eventTitle, String eventType, Date startDate, Date endingDate)`
    `boolean` | `notifyEditedCalendarEvent(String userIdToNotify, String eventTitle, String eventType, Date startDate, Date endingDate)`
    `boolean` | `notifyFolderAddedUser(String userIdToNotify, SocialSharedFolder sharedFolder, String newAddedUserId)` use to notify a user that a new user was added in on of his workspace shared folder
    `boolean` | `notifyFolderAddedUser(String userIdToNotify, org.gcube.common.homelibrary.home.workspace.WorkspaceSharedFolder sharedFolder, String newAddedUserId)` Deprecated. use `SocialSharedFolder`
    `boolean` | `notifyFolderAddedUsers(String userIdToNotify, SocialSharedFolder sharedFolder, List<String> newAddedUserIds)` use to notify a user that a new user was added in on of his workspace shared folder
    `boolean` | `notifyFolderAddedUsers(String userIdToNotify, org.gcube.common.homelibrary.home.workspace.WorkspaceSharedFolder sharedFolder, List<String> newAddedUserIds)` Deprecated. use `SocialSharedFolder`
    `boolean` | `notifyFolderRemovedUser(String userIdToNotify, SocialSharedFolder sharedFolder)` use to notify a user that an existing user was removed from one of his workspace shared folder
    `boolean` | `notifyFolderRemovedUser(String userIdToNotify, org.gcube.common.homelibrary.home.workspace.WorkspaceSharedFolder sharedFolder)` Deprecated. use `SocialSharedFolder`
    `boolean` | `notifyFolderRenaming(String userIdToNotify, String previousName, String newName, String renamedFolderId)` use to notify a user he got a workspace folder renamed
    `boolean` | `notifyFolderSharing(String userIdToNotify, SocialSharedFolder sharedFolder)` use to notify a user he got a workspace folder shared
    `boolean` | `notifyFolderSharing(String userIdToNotify, org.gcube.common.homelibrary.home.workspace.WorkspaceSharedFolder sharedFolder)` Deprecated. use `SocialSharedFolder`
    `boolean` | `notifyFolderUnsharing(String userIdToNotify, String unsharedFolderId, String unsharedFolderName)` use to notify a user he got a workspace folder shared
    `boolean` | `notifyItemRenaming(String userIdToNotify, String previousName, SocialFileItem renamedItem, SocialSharedFolder rootSharedFolder)` use to notify a user he got a workspace item renamed
    `boolean` | `notifyItemRenaming(String userIdToNotify, String previousName, org.gcube.common.homelibrary.home.workspace.WorkspaceItem renamedItem, org.gcube.common.homelibrary.home.workspace.WorkspaceSharedFolder rootSharedFolder)` Deprecated. use `SharedFolder` and `Item`
    `boolean` | `notifyJobStatus(String userIdToNotify, org.gcube.portal.databook.shared.RunningJob job)` use to notify a user he got one of his job finished
    `boolean` | `notifyLikedFeed(String userIdToNotify, String postid, String postText)` Deprecated. use notifyLikedPost
    `boolean` | `notifyLikedPost(String userIdToNotify, String postid, String postText)` use to notify a user he got one of his post liked
    `boolean` | `notifyMessageReceived(String userIdToNotify, String messageUniqueIdentifier, String subject, String messageText, String... otherRecipientsFullNames)`
    `boolean` | `notifyMovedItem(String userIdToNotify, SocialFileItem item, SocialSharedFolder sharedFolder)` use to notify a user he got a workspace item deleted from one of his workspace shared folder
    `boolean` | `notifyMovedItem(String userIdToNotify, org.gcube.common.homelibrary.home.workspace.WorkspaceItem item, org.gcube.common.homelibrary.home.workspace.WorkspaceSharedFolder sharedFolder)` Deprecated. use `SocialSharedFolder` and `SocialFileItem`
    `boolean` | `notifyNewCalendarEvent(String userIdToNotify, String eventTitle, String eventType, Date startDate, Date endingDate)`
    `boolean` | `notifyOwnCommentReply(String userIdToNotify, String postid, String postText, String commentKey)` use to notify a user that someone commented on his post
    `boolean` | `notifyPost(String userIdToNotify, String postid, String postText, Set<String> mentionedVREGroups, Set<String> hashtags)` use to notify a user that someone created this post
    `boolean` | `notifyPost(String userIdToNotify, String postid, String postText, String... hashtags)` Deprecated.
    `boolean` | `notifyRemovedItem(String userIdToNotify, String item, SocialSharedFolder sharedFolder)` use to notify a user he got a workspace item deleted from one of his workspace shared folder
    `boolean` | `notifyRemovedItem(String userIdToNotify, String item, org.gcube.common.homelibrary.home.workspace.WorkspaceSharedFolder sharedFolder)` Deprecated. use `SharedFolder`
    `boolean` | `notifyTDMObjectSharing(String userIdToNotify, org.gcube.portal.databook.shared.NotificationType type, String tdmObjectName, String encodedTabularResourceParams)` use to notify a user he got a Tabular Data Resource shared
    `boolean` | `notifyTDMTabularResourceSharing(String userIdToNotify, String tabularResourceName, String encodedTabularResourceParams)`
    `boolean` | `notifyUpdatedItem(String userIdToNotify, SocialFileItem item, SocialSharedFolder sharedFolder)` use to notify a user he got a workspace item updated from one of his workspace shared folder
    `boolean` | `notifyUpdatedItem(String userIdToNotify, org.gcube.common.homelibrary.home.workspace.WorkspaceItem item, org.gcube.common.homelibrary.home.workspace.WorkspaceSharedFolder sharedFolder)` Deprecated. use `SharedFolder` and `Item`
    `boolean` | `notifyUserTag(String userIdToNotify, String postid, String commentText, String commentKey)` use to notify a user that he was mentioned (tagged) on a post

- - ### Method Detail

    - #### notifyFolderSharing

          boolean notifyFolderSharing(String userIdToNotify,
                                      org.gcube.common.homelibrary.home.workspace.WorkspaceSharedFolder sharedFolder)
                               throws Exception

      Deprecated. use `SocialSharedFolder`
      use to notify a user he got a workspace folder shared
      Parameters:
        `userIdToNotify` - the user you want to notify
        `sharedFolder` - the shared `WorkspaceSharedFolder`
      Returns:
        true if the notification is correctly delivered, false otherwise
      Throws:
        `Exception`

    - #### notifyFolderSharing

          boolean notifyFolderSharing(String userIdToNotify,
                                      SocialSharedFolder sharedFolder)
                               throws Exception

      use to notify a user he got a workspace folder shared
      Parameters:
        `userIdToNotify` - the user you want to notify
        `sharedFolder` - the shared `SocialSharedFolder` instance
      Returns:
        true if the notification is correctly delivered, false otherwise
      Throws:
        `Exception`

    - #### notifyFolderUnsharing

          boolean notifyFolderUnsharing(String userIdToNotify,
                                        String unsharedFolderId,
                                        String unsharedFolderName)
                                 throws Exception

      use to notify a user he got a workspace folder shared
      Parameters:
        `userIdToNotify` - the user you want to notify
        `unsharedFolderId` - the unshared folder id
        `unsharedFolderName` - the unshared folder name
      Returns:
        true if the notification is correctly delivered, false otherwise
      Throws:
        `Exception`

    - #### notifyAdministratorUpgrade

          boolean notifyAdministratorUpgrade(String userIdToNotify,
                                             org.gcube.common.homelibrary.home.workspace.WorkspaceSharedFolder sharedFolder)
                                      throws Exception

      Deprecated. use `SocialSharedFolder`
      use to notify a user he got upgraded to Administrator of a folder shared
      Parameters:
        `userIdToNotify` - the user you want to notify
        `sharedFolder` - the shared `WorkspaceSharedFolder`
      Returns:
        true if the notification is correctly delivered, false otherwise
      Throws:
        `Exception`

    - #### notifyAdministratorUpgrade

          boolean notifyAdministratorUpgrade(String userIdToNotify,
                                             SocialSharedFolder sharedFolder)
                                      throws Exception

      use to notify a user he got upgraded to Administrator of a folder shared
      Parameters:
        `userIdToNotify` - the user you want to notify
        `sharedFolder` - the shared `SocialSharedFolder` instance
      Returns:
        true if the notification is correctly delivered, false otherwise
      Throws:
        `Exception`

    - #### notifyAdministratorDowngrade

          boolean notifyAdministratorDowngrade(String userIdToNotify,
                                               org.gcube.common.homelibrary.home.workspace.WorkspaceSharedFolder sharedFolder)
                                        throws Exception

      Deprecated. use `SocialSharedFolder`
      use to notify a user he got downgraded from Administrator of a folder shared
      Parameters:
        `userIdToNotify` - the user you want to notify
        `sharedFolder` - the shared `WorkspaceSharedFolder`
      Returns:
        true if the notification is correctly delivered, false otherwise
      Throws:
        `Exception`

    - #### notifyAdministratorDowngrade

          boolean notifyAdministratorDowngrade(String userIdToNotify,
                                               SocialSharedFolder sharedFolder)
                                        throws Exception

      use to notify a user he got downgraded from Administrator of a folder shared
      Parameters:
        `userIdToNotify` - the user you want to notify
        `sharedFolder` - the shared `SocialSharedFolder`
      Returns:
        true if the notification is correctly delivered, false otherwise
      Throws:
        `Exception`

    - #### notifyFolderRenaming

          boolean notifyFolderRenaming(String userIdToNotify,
                                       String previousName,
                                       String newName,
                                       String renamedFolderId)
                                throws Exception

      use to notify a user he got a workspace folder renamed
      Parameters:
        `userIdToNotify` - the user you want to notify
        `previousName` - the previous name of the folder
        `newName` - the new name of the folder
        `renamedFolderId` - the folderId
      Returns:
        true if the notification is correctly delivered, false otherwise
      Throws:
        `Exception`

    - #### notifyFolderAddedUser

          boolean notifyFolderAddedUser(String userIdToNotify,
                                        org.gcube.common.homelibrary.home.workspace.WorkspaceSharedFolder sharedFolder,
                                        String newAddedUserId)
                                 throws Exception

      Deprecated. use `SocialSharedFolder`
      use to notify a user that a new user was added in on of his workspace shared folder
      Parameters:
        `userIdToNotify` - the user you want to notify
        `sharedFolder` - the shared `WorkspaceSharedFolder`
        `newAddedUserId` - the new user that was added
      Returns:
        true if the notification is correctly delivered, false otherwise
      Throws:
        `Exception`

    - #### notifyFolderAddedUser

          boolean notifyFolderAddedUser(String userIdToNotify,
                                        SocialSharedFolder sharedFolder,
                                        String newAddedUserId)
                                 throws Exception

      use to notify a user that a new user was added in on of his workspace shared folder
      Parameters:
        `userIdToNotify` - the user you want to notify
        `sharedFolder` - the shared `SocialSharedFolder` instance
        `newAddedUserId` - the new user that was added
      Returns:
        true if the notification is correctly delivered, false otherwise
      Throws:
        `Exception`

    - #### notifyFolderAddedUsers

          boolean notifyFolderAddedUsers(String userIdToNotify,
                                         org.gcube.common.homelibrary.home.workspace.WorkspaceSharedFolder sharedFolder,
                                         List<String> newAddedUserIds)
                                  throws Exception

      Deprecated. use `SocialSharedFolder`
      use to notify a user that a new user was added in on of his workspace shared folder
      Parameters:
        `userIdToNotify` - the user you want to notify
        `sharedFolder` - the shared `WorkspaceSharedFolder`
        `newAddedUserIds` - List of new users that were added
      Returns:
        true if the notification is correctly delivered, false otherwise
      Throws:
        `Exception`

    - #### notifyFolderAddedUsers

          boolean notifyFolderAddedUsers(String userIdToNotify,
                                         SocialSharedFolder sharedFolder,
                                         List<String> newAddedUserIds)
                                  throws Exception

      use to notify a user that a new user was added in on of his workspace shared folder
      Parameters:
        `userIdToNotify` - the user you want to notify
        `sharedFolder` - the shared `SocialSharedFolder` instance
        `newAddedUserIds` - List of new users that were added
      Returns:
        true if the notification is correctly delivered, false otherwise
      Throws:
        `Exception`

    - #### notifyFolderRemovedUser

          boolean notifyFolderRemovedUser(String userIdToNotify,
                                          org.gcube.common.homelibrary.home.workspace.WorkspaceSharedFolder sharedFolder)
                                   throws Exception

      Deprecated. use `SocialSharedFolder`
      use to notify a user that an existing user was removed from one of his workspace shared folder
      Parameters:
        `userIdToNotify` - the user you want to notify
        `sharedFolder` - the shared `WorkspaceSharedFolder`
      Returns:
        true if the notification is correctly delivered, false otherwise
      Throws:
        `Exception`

    - #### notifyFolderRemovedUser

          boolean notifyFolderRemovedUser(String userIdToNotify,
                                          SocialSharedFolder sharedFolder)
                                   throws Exception

      use to notify a user that an existing user was removed from one of his workspace shared folder
      Parameters:
        `userIdToNotify` - the user you want to notify
        `sharedFolder` - the shared `SocialSharedFolder`
      Returns:
        true if the notification is correctly delivered, false otherwise
      Throws:
        `Exception`

    - #### notifyAddedItem

          boolean notifyAddedItem(String userIdToNotify,
                                  org.gcube.common.homelibrary.home.workspace.WorkspaceItem item,
                                  org.gcube.common.homelibrary.home.workspace.WorkspaceSharedFolder sharedFolder)
                           throws Exception

      Deprecated. use `SocialSharedFolder` and `SocialFileItem`
      use to notify a user he got a workspace item new in some of his workspace shared folder
      Parameters:
        `userIdToNotify` - the user you want to notify
        `newItem` - the new shared `WorkspaceItem`
        `sharedFolder` - the shared folder `WorkspaceSharedFolder`
      Returns:
        true if the notification is correctly delivered, false otherwise
      Throws:
        `Exception`

    - #### notifyAddedItem

          boolean notifyAddedItem(String userIdToNotify,
                                  SocialFileItem item,
                                  SocialSharedFolder sharedFolder)
                           throws Exception

      use to notify a user he got a workspace item new in some of his workspace shared folder
      Parameters:
        `userIdToNotify` - the user you want to notify
        `newItem` - the new shared `SocialFileItem` instance
        `sharedFolder` - the shared folder `SocialSharedFolder` instance
      Returns:
        true if the notification is correctly delivered, false otherwise
      Throws:
        `Exception`

    - #### notifyMovedItem

          boolean notifyMovedItem(String userIdToNotify,
                                  org.gcube.common.homelibrary.home.workspace.WorkspaceItem item,
                                  org.gcube.common.homelibrary.home.workspace.WorkspaceSharedFolder sharedFolder)
                           throws Exception

      Deprecated. use `SocialSharedFolder` and `SocialFileItem`
      use to notify a user he got a workspace item deleted from one of his workspace shared folder
      Parameters:
        `userIdToNotify` - the user you want to notify
        `removedItem` - the removed `WorkspaceItem`
        `sharedFolder` - the shared folder `WorkspaceSharedFolder`
      Returns:
        true if the notification is correctly delivered, false otherwise
      Throws:
        `Exception`

    - #### notifyMovedItem

          boolean notifyMovedItem(String userIdToNotify,
                                  SocialFileItem item,
                                  SocialSharedFolder sharedFolder)
                           throws Exception

      use to notify a user he got a workspace item deleted from one of his workspace shared folder
      Parameters:
        `userIdToNotify` - the user you want to notify
        `removedItem` - the removed item instance of `SocialFileItem`
        `sharedFolder` - the shared folder `SocialSharedFolder`
      Returns:
        true if the notification is correctly delivered, false otherwise
      Throws:
        `Exception`

    - #### notifyRemovedItem

          boolean notifyRemovedItem(String userIdToNotify,
                                    String item,
                                    org.gcube.common.homelibrary.home.workspace.WorkspaceSharedFolder sharedFolder)
                             throws Exception

      Deprecated. use `SharedFolder`
      use to notify a user he got a workspace item deleted from one of his workspace shared folder
      Parameters:
        `userIdToNotify` - the user you want to notify
        `removedItem` - the removed `WorkspaceItem`
        `sharedFolder` - the shared folder `WorkspaceSharedFolder`
      Returns:
        true if the notification is correctly delivered, false otherwise
      Throws:
        `Exception`

    - #### notifyRemovedItem

          boolean notifyRemovedItem(String userIdToNotify,
                                    String item,
                                    SocialSharedFolder sharedFolder)
                             throws Exception

      use to notify a user he got a workspace item deleted from one of his workspace shared folder
      Parameters:
        `userIdToNotify` - the user you want to notify
        `removedItem` - the removed name
        `sharedFolder` - the shared folder `SocialSharedFolder`
      Returns:
        true if the notification is correctly delivered, false otherwise
      Throws:
        `Exception`

    - #### notifyUpdatedItem

          boolean notifyUpdatedItem(String userIdToNotify,
                                    org.gcube.common.homelibrary.home.workspace.WorkspaceItem item,
                                    org.gcube.common.homelibrary.home.workspace.WorkspaceSharedFolder sharedFolder)
                             throws Exception

      Deprecated. use `SharedFolder` and `Item`
      use to notify a user he got a workspace item updated from one of his workspace shared folder
      Parameters:
        `userIdToNotify` - the user you want to notify
        `updatedItem` - the updated shared `WorkspaceItem`
        `sharedFolder` - the shared folder `WorkspaceFolder`
      Returns:
        true if the notification is correctly delivered, false otherwise
      Throws:
        `Exception`

    - #### notifyUpdatedItem

          boolean notifyUpdatedItem(String userIdToNotify,
                                    SocialFileItem item,
                                    SocialSharedFolder sharedFolder)
                             throws Exception

      use to notify a user he got a workspace item updated from one of his workspace shared folder
      Parameters:
        `userIdToNotify` - the user you want to notify
        `updatedItem` - the updated shared `SocialFileItem`
        `sharedFolder` - the shared folder `SocialSharedFolder`
      Returns:
        true if the notification is correctly delivered, false otherwise
      Throws:
        `Exception`

    - #### notifyItemRenaming

          boolean notifyItemRenaming(String userIdToNotify,
                                     String previousName,
                                     org.gcube.common.homelibrary.home.workspace.WorkspaceItem renamedItem,
                                     org.gcube.common.homelibrary.home.workspace.WorkspaceSharedFolder rootSharedFolder)
                              throws Exception

      Deprecated. use `SharedFolder` and `Item`
      use to notify a user he got a workspace item renamed
      Parameters:
        `userIdToNotify` - the user you want to notify
        `previousName` - the previous name of the folder
        `renamedItem` - the renamed `WorkspaceItem`
        `rootSharedFolder` - the root shared `WorkspaceSharedFolder` of the `WorkspaceItem`
      Returns:
        true if the notification is correctly delivered, false otherwise
      Throws:
        `Exception`

    - #### notifyItemRenaming

          boolean notifyItemRenaming(String userIdToNotify,
                                     String previousName,
                                     SocialFileItem renamedItem,
                                     SocialSharedFolder rootSharedFolder)
                              throws Exception

      use to notify a user he got a workspace item renamed
      Parameters:
        `userIdToNotify` - the user you want to notify
        `previousName` - the previous name of the folder
        `renamedItem` - the renamed `SocialFileItem`
        `rootSharedFolder` - the root shared `SocialSharedFolder` of the `SocialFileItem`
      Returns:
        true if the notification is correctly delivered, false otherwise
      Throws:
        `Exception`

    - #### notifyMessageReceived

          boolean notifyMessageReceived(String userIdToNotify,
                                        String messageUniqueIdentifier,
                                        String subject,
                                        String messageText,
                                        String... otherRecipientsFullNames)

      Parameters:
        `userIdToNotify` - the user you want to notify
        `messageUniqueIdentifier` - the unique identifier of the message
        `subject` - the subject of the message sent
        `messageText` - the text of the message (text/plain)
        `otherRecipientsFullNames` - the Full Names of the other recipients. if any
      Returns:
        true if the notification is correctly delivered, false otherwise

    - #### notifyNewCalendarEvent

          boolean notifyNewCalendarEvent(String userIdToNotify,
                                         String eventTitle,
                                         String eventType,
                                         Date startDate,
                                         Date endingDate)

      Parameters:
        `userIdToNotify` - the user you want to notify
        `eventTitle` - the title of the event
        `eventType` - the type of the event
        `startDate` - staring date
        `endingDate` - ending date
      Returns:
        true if the notification is correctly delivered, false otherwise

    - #### notifyEditedCalendarEvent

          boolean notifyEditedCalendarEvent(String userIdToNotify,
                                            String eventTitle,
                                            String eventType,
                                            Date startDate,
                                            Date endingDate)

      Parameters:
        `userIdToNotify` - the user you want to notify
        `eventTitle` - the title of the event
        `eventType` - the type of the event
        `startDate` - staring date
        `endingDate` - ending date
      Returns:
        true if the notification is correctly delivered, false otherwise

    - #### notifyDeletedCalendarEvent

          boolean notifyDeletedCalendarEvent(String userIdToNotify,
                                             String eventTitle,
                                             String eventType,
                                             Date startDate,
                                             Date endingDate)

      Parameters:
        `userIdToNotify` - the user you want to notify
        `eventTitle` - the title of the event
        `eventType` - the type of the event
        `startDate` - staring date
        `endingDate` - ending date
      Returns:
        true if the notification is correctly delivered, false otherwise

    - #### notifyPost

          @Deprecated
          boolean notifyPost(String userIdToNotify,
                                         String postid,
                                         String postText,
                                         String... hashtags)

      Deprecated.
      use to notify a user that someone created this post
      Parameters:
        `userIdToNotify` - the user you want to notify
        `postid` - the liked postid
        `postText` - the liked post text or a portion of it
      Returns:
        true if the notification is correctly delivered, false otherwise

    - #### notifyPost

          boolean notifyPost(String userIdToNotify,
                             String postid,
                             String postText,
                             Set<String> mentionedVREGroups,
                             Set<String> hashtags)

      use to notify a user that someone created this post
      Parameters:
        `userIdToNotify` - the user you want to notify
        `postid` - the liked postid
        `postText` - the liked post text or a portion of it
        `mentionedVREGroups` - the names of the mentioned vre's groups, if any
        `hashtags` - the set of hashtags in the post, if any
      Returns:
        true if the notification is correctly delivered, false otherwise

    - #### notifyOwnCommentReply

          boolean notifyOwnCommentReply(String userIdToNotify,
                                        String postid,
                                        String postText,
                                        String commentKey)

      use to notify a user that someone commented on his post
      Parameters:
        `userIdToNotify` - the user you want to notify
        `postid` - the liked postid
        `postText` - the liked post text or a portion of it
        `commentKey` - when sending email, stop the shown discussion at that comment
      Returns:
        true if the notification is correctly delivered, false otherwise

    - #### notifyCommentReply

          boolean notifyCommentReply(String userIdToNotify,
                                     String postid,
                                     String postText,
                                     String postOwnerFullName,
                                     String postOwnerId,
                                     String commentKey)

      use to notify a user that commented on a post (Not his) that someone commented too
      Parameters:
        `userIdToNotify` - the user you want to notify
        `postid` - the liked postid
        `postText` - the liked post text or a portion of it
        `postOwnerFullName` - the full name of the user who created the post
        `postOwnerId` - the username of the user who created the post
        `commentKey` - when sending email, stop the shown discussion at that comment
      Returns:
        true if the notification is correctly delivered, false otherwise

    - #### notifyCommentOnFavorite

          boolean notifyCommentOnFavorite(String userIdToNotify,
                                          String postid,
                                          String commentText,
                                          String commentKey)

      Deprecated. use notifyCommentOnLike use to notify a user that someone commented on one of his liked posts
      Parameters:
        `userIdToNotify` - the user you want to notify
        `postid` - the liked postid
        `commentText` - the commentText
        `commentKey` - when sending email, stop the shown discussion at that comment
      Returns:
        true if the notification is correctly delivered, false otherwise

    - #### notifyCommentOnLike

          boolean notifyCommentOnLike(String userIdToNotify,
                                      String postid,
                                      String commentText,
                                      String commentKey)

      Parameters:
        `userIdToNotify` - the user you want to notify
        `postid` - the liked postid
        `commentText` - the commentText
        `commentKey` - when sending email, stop the shown discussion at that comment
      Returns:
        true if the notification is correctly delivered, false otherwise

    - #### notifyUserTag

          boolean notifyUserTag(String userIdToNotify,
                                String postid,
                                String commentText,
                                String commentKey)

      use to notify a user that he was mentioned (tagged) on a post
      Parameters:
        `userIdToNotify` - the user you want to notify
        `postid` - the liked postid
        `feedText` - the liked feed text or a portion of it
        `commentKey` - when sending email, stop the shown discussion at that comment
      Returns:
        true if the notification is correctly delivered, false otherwise

    - #### notifyLikedFeed

          @Deprecated
          boolean notifyLikedFeed(String userIdToNotify,
                                              String postid,
                                              String postText)

      Deprecated. use notifyLikedPost
      use to notify a user he got one of his post liked
      Parameters:
        `userIdToNotify` - the user you want to notify
        `postid` - the liked postid
        `postText` - the liked post text or a portion of it
      Returns:
        true if the notification is correctly delivered, false otherwise

    - #### notifyLikedPost

          boolean notifyLikedPost(String userIdToNotify,
                                  String postid,
                                  String postText)

      use to notify a user he got one of his post liked
      Parameters:
        `userIdToNotify` - the user you want to notify
        `postid` - the liked postid
        `postText` - the liked post text or a portion of it
      Returns:
        true if the notification is correctly delivered, false otherwise

    - #### notifyJobStatus

          boolean notifyJobStatus(String userIdToNotify,
                                  org.gcube.portal.databook.shared.RunningJob job)

      use to notify a user he got one of his job finished
      Parameters:
        `userIdToNotify` - the user you want to notify
      Returns:
        true if the notification is correctly delivered, false otherwise

    - #### notifyTDMTabularResourceSharing

          boolean notifyTDMTabularResourceSharing(String userIdToNotify,
                                                  String tabularResourceName,
                                                  String encodedTabularResourceParams)
                                           throws Exception

      Throws:
        `Exception`

    - #### notifyTDMObjectSharing

          boolean notifyTDMObjectSharing(String userIdToNotify,
                                         org.gcube.portal.databook.shared.NotificationType type,
                                         String tdmObjectName,
                                         String encodedTabularResourceParams)
                                  throws Exception

      use to notify a user he got a Tabular Data Resource shared
      Parameters:
        `userIdToNotify` - the user you want to notify
        `type` - type of the shared tdm object (TDM Rule or TDM Template at the moment)
        `tdmObjectName` - the name
        `encodedTabularResourceParams` - the parameters to be placed in the HTTP GET Request (must be encoded)
      Returns:
        true if the notification is correctly delivered, false otherwise
      Throws:
        `Exception`

Copyright © 2018. All Rights Reserved.